Retrieve Project
curl --request GET \
--url https://api.teleskop.dev/projects/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.teleskop.dev/projects/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.teleskop.dev/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"statusCode": 200,
"data": {
"name": "Turkish Airlines",
"languages": [
"tr",
"en"
],
"channels": [
"news",
"twitter"
],
"keywords": [
{
"main_keyword": "Turkish Airlines",
"required_keywords": [
"Istanbul Airport"
],
"excluded_keywords": [
"Sabiha Gökçen"
],
"id": "c167d51e-7249-4430-a13e-043eab185b58"
}
],
"id": "c0bb3b48-60eb-4afe-a229-3207e7ad800a",
"keywords_count": 1,
"creator_id": "a76ea981-f007-44e6-b4d7-2dbdc61ce338",
"workspace_id": "2cca4ace-63a0-41f0-a73f-0b8abe2909a5",
"workspace_name": "My Organization",
"created_at": "2025-07-29T13:37:12.547Z",
"updated_at": "2025-07-29T13:37:12.547Z",
"members_ids": []
},
"message": "Request successful",
"metadata": {}
}Projects
Retrieve Project
Retrieve a single project by its id.
GET
/
projects
/
{id}
Retrieve Project
Authorizations
API Key for authentication
Path Parameters
Response
200 - application/json
Project retrieved successfully
Response status
Available options:
success, error Example:
"success"
HTTP status code
Example:
200
Response data
Show child attributes
Show child attributes
Response message
Example:
"Request successful"
Additional metadata
⌘I